# Interface IEndpointCallerOptions

## Index

### Properties

- accessToken
- password
- requestModifier
- username
- xmlHttpRequest

## Properties

### Optional accessToken

accessToken: string

- Defined in rest/EndpointCaller.ts :149

### Optional password

password: string

- Defined in rest/EndpointCaller.ts :159

### Optional requestModifier

requestModifier: function

- Defined in rest/EndpointCaller.ts :165

#### Type declaration

- - (params: IRequestInfo<any>): IRequestInfo<any>

  - #### Parameters

    - ##### params: IRequestInfo<any>

    #### Returns IRequestInfo<any>

### Optional username

username: string

- Defined in rest/EndpointCaller.ts :154

### Optional xmlHttpRequest

xmlHttpRequest: object

- Defined in rest/EndpointCaller.ts :171

#### Type declaration

### Hierarchy

- IEndpointCallerOptions